mbed TLS v2.16.5

Data Fields
mbedtls_md_context_t Struct Reference

`#include <md.h>`

## Data Fields
const mbedtls_md_info_t * | md_info
void * | md_ctx
void * | hmac_ctx

## Detailed Description

The generic message-digest context.

Definition at line 85 of file md.h.

## Field Documentation

## ◆ hmac_ctx

void* mbedtls_md_context_t::hmac_ctx

The HMAC part of the context.

Definition at line 94 of file md.h.

## ◆ md_ctx

void* mbedtls_md_context_t::md_ctx

The digest-specific context.

Definition at line 91 of file md.h.

## ◆ md_info

const mbedtls_md_info_t* mbedtls_md_context_t::md_info

Information about the associated message digest.

Definition at line 88 of file md.h.

The documentation for this struct was generated from the following file:

- md.h